# 機器學習安全特論 (CSIE5436)
# Install
```
virtualenv env
source env/bin/activate
pip3 install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cu118
pip3 install -r requirements.txt
```
### Recommendation Platform: Linux, python==3.11.2

# Usage
1. Install the requirements
2. Open demoRS.ipynb
3. Run
4. Other files:
    - datasets.py: to load CIFAR-10 dataset
    - architectures.py: to build resnet, etc.
    - checkpoints.pth.tar: pretrained weight for CIFAR-10 and sigma=0.12

# Credits
- https://arxiv.org/abs/1902.02918
- https://github.com/locuslab/smoothing